torchmark tmk authorizes stock repurchase torchmark corp said board authorized purchase time time significant portion convertible subordinated debentures february said outstanding principal amount debenures company also said plans redeem debentures june eight also declared regular quarterly dividend cts per share common payable one shareholders record april